summaryrefslogtreecommitdiffstats
path: root/libraries/aribb25/aribb25.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/aribb25/aribb25.SlackBuild')
-rw-r--r--libraries/aribb25/aribb25.SlackBuild29
1 files changed, 12 insertions, 17 deletions
diff --git a/libraries/aribb25/aribb25.SlackBuild b/libraries/aribb25/aribb25.SlackBuild
index 01d71e1991..d7c8ac1629 100644
--- a/libraries/aribb25/aribb25.SlackBuild
+++ b/libraries/aribb25/aribb25.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for aribb25
-# Copyright 2022 Vijay Marcel
+# Copyright 2022-2024 Vijay Marcel
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,13 +25,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=aribb25
-VERSION=${VERSION:-c1493869_20180207}
+VERSION=${VERSION:-0.2.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-GIT=${GIT:-c14938692b313b5ba953543fd94fd1cad0eeef18}
-LONGNAM=${LONGNAM:-c1493869-c14938692b313b5ba953543fd94fd1cad0eeef18}
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -41,9 +38,6 @@ case "$( uname -m )" in
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -54,13 +48,13 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ SLKCFLAGS="-march=i586 -mtune=i686 -pipe -O2 -fPIC"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-march=i686 -mtune=i686 -pipe -O2 -fPIC"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-march=x86-64 -mtune=generic -pipe -O2 -fPIC"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
@@ -73,10 +67,9 @@ trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ER
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$GIT
-rm -rf $PRGNAM-$LONGNAM
-tar xvf $CWD/$PRGNAM-$GIT.tar.gz
-cd $PRGNAM-$LONGNAM
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -84,9 +77,11 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+patch -p1 --unified --verbose < $CWD/fix-libs.patch
+
+./bootstrap
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./bootstrap
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -102,7 +97,7 @@ make install DESTDIR=$PKG
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENCE README.md README.jp.txt $PKG/usr/doc/$PRGNAM-$VERSION